diff --git a/.gitlab-ci.yml b/.gitlab-ci.yml
index 428c5db..08300d9 100644
--- a/.gitlab-ci.yml
+++ b/.gitlab-ci.yml
@@ -1,3 +1,6 @@
+############################
+# General configuration
+############################
 stages:
   - install_deps
   - test
@@ -13,54 +16,62 @@ variables:
 default:
   image: node:lts
 
+############################
+# Caches
+############################
+.node_modules-cache: &node_modules-cache
+  key:
+    files:
+      - yarn.lock
+  paths:
+    - node_modules
+  policy: pull
+
+.yarn-cache: &yarn-cache
+  key: yarn-$CI_JOB_IMAGE
+  paths:
+    - .yarn
+  policy: pull
+
+.test-cache: &test-cache
+  key: test-$CI_JOB_IMAGE
+  paths:
+    - .jestcache
+  policy: pull-push
+
+.build-cache: &build-cache
+  key: build-$CI_JOB_IMAGE
+  paths:
+    - .cache
+    - public
+  policy: pull-push
+
+############################
+# Jobs
+############################
 Install Dependencies:
   stage: install_deps
-  cache:
-    - key:
-        files:
-          - yarn.lock
-      paths:
-        - node_modules
-      policy: pull-push
-    - key: yarn-$CI_JOB_IMAGE
-      paths:
-        - .yarn
-      policy: pull-push
   script:
     - yarn install --cache-folder .yarn
+  cache:
+    - <<: *node_modules-cache
+    - <<: *yarn-cache
 
 Test:
   stage: test
-  cache:
-    - key:
-        files:
-          - yarn.lock
-      paths:
-        - node_modules
-      policy: pull
-    - key: test-$CI_JOB_IMAGE
-      paths:
-        - .jestcache
-      policy: pull-push
   script:
     - yarn test --cacheDirectory ".jestcache"
+  cache:
+    - <<: *node_modules-cache
+    - <<: *test-cache
 
 Build:
   stage: build
-  cache:
-    - key:
-        files:
-          - yarn.lock
-      paths:
-        - node_modules
-      policy: pull
-    - key: build-$CI_JOB_IMAGE
-      paths:
-        - .cache
-        - public
-      policy: pull-push
   script:
     - yarn build
+  cache:
+    - <<: *node_modules-cache
+    - <<: *build-cache
   artifacts:
     paths:
       - public
diff --git a/patches/05_refactor.diff b/patches/05_refactor.diff
index 1397477..e69de29 100644
--- a/patches/05_refactor.diff
+++ b/patches/05_refactor.diff
@@ -1,109 +0,0 @@
-diff --git a/.gitlab-ci.yml b/.gitlab-ci.yml
-index bcc1998..30fc4e9 100644
---- a/.gitlab-ci.yml
-+++ b/.gitlab-ci.yml
-@@ -1,3 +1,6 @@
-+############################
-+# General configuration
-+############################
- stages:
-   - install_deps
-   - test
-@@ -13,54 +16,63 @@ variables:
- default:
-   image: node:lts
- 
-+############################
-+# Caches
-+############################
-+.node_modules-cache: &node_modules-cache
-+  key:
-+    files:
-+      - yarn.lock
-+  paths:
-+    - node_modules
-+  policy: pull
-+
-+.yarn-cache: &yarn-cache
-+  key: yarn-$CI_JOB_IMAGE
-+  paths:
-+    - .yarn
-+  policy: pull
-+
-+.test-cache: &test-cache
-+  key: test-$CI_JOB_IMAGE
-+  paths:
-+    - .jestcache
-+  policy: pull-push
-+
-+.build-cache: &build-cache
-+  key: build-$CI_JOB_IMAGE
-+  paths:
-+    - .cache
-+    - public
-+  policy: pull-push
-+
-+############################
-+# Jobs
-+############################
- Install Dependencies:
-   stage: install_deps
-+  script:
-+    - yarn install --cache-folder .yarn
-   cache:
--    - key:
--        files:
--          - yarn.lock
--      paths:
--        - node_modules
--      policy: pull-push
--    - key: yarn-$CI_JOB_IMAGE
--      paths:
--        - .yarn
-+    - <<: *node_modules-cache
-       policy: pull-push
--  script:
--    - yarn install
-+    - <<: *yarn-cache
- 
- Test:
-   stage: test
--  cache:
--    - key:
--        files:
--          - yarn.lock
--      paths:
--        - node_modules
--      policy: pull
--    - key: test-$CI_JOB_IMAGE
--      paths:
--        - .jestcache
--      policy: pull-push
-   script:
-     - yarn test --cacheDirectory ".jestcache"
-+  cache:
-+    - <<: *node_modules-cache
-+    - <<: *test-cache
- 
- Build:
-   stage: build
--  cache:
--    - key:
--        files:
--          - yarn.lock
--      paths:
--        - node_modules
--      policy: pull
--    - key: build-$CI_JOB_IMAGE
--      paths:
--        - .cache
--        - public
--      policy: pull-push
-   script:
-     - yarn build
-+  cache:
-+    - <<: *node_modules-cache
-+    - <<: *build-cache
-   artifacts:
-     paths:
-       - public
